Debian Bug report logs - #517781
hunspell-ar: ar.{dic,aff} is not enough for OOo3, needs to be ar_*

version graph

Package: hunspell-ar; Maintainer for hunspell-ar is Debian Arabic Packaging Team <debian-arabic-packages@lists.alioth.debian.org>; Source for hunspell-ar is src:hunspell-ar.

Reported by: Rene Engelhard <rene@debian.org>

Date: Thu, 26 Feb 2009 19:51:01 UTC

Severity: grave

Fixed in version ayaspell-dic/0.0.0+20080110-1.1

Done: Rene Engelhard <rene@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#517274; Package openoffice.org. (Thu, 26 Feb 2009 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Shaforostoff <shaforostoff@kde.ru>:
New Bug report received and forwarded. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. (Thu, 26 Feb 2009 19:51:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nick Shaforostoff <shaforostoff@kde.ru>
To: submit@bugs.debian.org
Subject: [openoffice.org] debianize and redistribute l10n extensions
Date: Thu, 26 Feb 2009 21:49:11 +0200
Package: openoffice.org
Version: 1:3.0.1-3
Severity: normal
Tags: l10n

--- Please enter the report below this line. ---
openoffice.org-l10n-uk says i'll get Ukrainian spellcheck if I install myspell-uk
but that is no longer truth.
for this i had to go to http://extensions.services.openoffice.org/project/dict-uk_UA
download it and run /usr/lib/openoffice/program/unopkg add dict-uk_UA-1.5.7.oxt
it would be cool if l10n-* packages included those extensions and added them automatically,
as in good old times.

--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.22-1-mepis-smp

Debian Release: lenny/sid
  800 unstable        ftp.3logic.net 
  800 experimental    ftp.3logic.net 

--- Package information. ---
Depends                                      (Version) | Installed
======================================================-+-========================
openoffice.org-core            (= 2.0.4.dfsg.2-5etch1) | 1:3.0.1-2
openoffice.org-writer                                  | 1:3.0.1-2
openoffice.org-calc                                    | 1:3.0.1-2
openoffice.org-impress                                 | 1:3.0.1-2
openoffice.org-draw                                    | 1:3.0.1-2
openoffice.org-math                                    | 1:3.0.1-2
openoffice.org-base                                    | 
openoffice.org-java-common                             | 






Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#517274; Package openoffice.org. (Thu, 26 Feb 2009 21:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. (Thu, 26 Feb 2009 21:57:07 GMT) Full text and rfc822 format available.

Message #10 received at 517274@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Nick Shaforostoff <shaforostoff@kde.ru>, 517274@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#517274: [openoffice.org] debianize and redistribute l10n extensions
Date: Thu, 26 Feb 2009 22:38:07 +0100
tag 517274 - l10n
severity 517274 wishlist
reassign 517274 openoffice.org-dictionaries
retitle 517274 [openoffice.org] debianize and redistribute dict extensions
tag 517274 + wontfix
thanks

Hi,

Nick Shaforostoff wrote:
> Package: openoffice.org
> Version: 1:3.0.1-3
> Severity: normal
> Tags: l10n
> 
> --- Please enter the report below this line. ---
> openoffice.org-l10n-uk says i'll get Ukrainian spellcheck if I install myspell-uk
> but that is no longer truth.

Why do you think that?

rene@mini:~$ rmadison myspell-uk
myspell-uk |      1.1-1 |     etch-m68k | all
myspell-uk |      1.1-1 |     oldstable | all
myspell-uk |    1.5.0-1 |        stable | all
myspell-uk |    1.5.7-1 |       testing | all
myspell-uk |    1.5.7-1 |      unstable | all

Still there.

> for this i had to go to http://extensions.services.openoffice.org/project/dict-uk_UA

Who says that?

> download it and run /usr/lib/openoffice/program/unopkg add dict-uk_UA-1.5.7.oxt
> it would be cool if l10n-* packages included those extensions and added them automatically,
> as in good old times.

No. It would not. because what with mozilla etc. which use *exactly* the same dict?
Right, they won't work.

The dictionary extension thing is bogus. And I also surely will not package any
dict out there. Especially not if it's there (whether it's out of date of not is
what I don't know, but for that, ask myspell-uks maintainer)

Wontfix.

And btw, what you mean is *dict* extensions, not l10n extensions.

> Architecture: i386
> Kernel:       Linux 2.6.22-1-mepis-smp

Yay. Mepis. Maybe they broke it the "normal" install way with myspell-*? We specify
the correct paths to the dict in Debian on the build so it gets found there.

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73





Tags removed: l10n Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Thu, 26 Feb 2009 21:57:08 GMT) Full text and rfc822 format available.

Severity set to `wishlist' from `normal' Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Thu, 26 Feb 2009 21:57:09 GMT) Full text and rfc822 format available.

Bug reassigned from package `openoffice.org' to `openoffice.org-dictionaries'. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Thu, 26 Feb 2009 21:57:10 GMT) Full text and rfc822 format available.

Changed Bug title to `[openoffice.org] debianize and redistribute dict extensions' from `[openoffice.org] debianize and redistribute l10n extensions'. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Thu, 26 Feb 2009 21:57:10 GMT) Full text and rfc822 format available.

Tags added: wontfix Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Thu, 26 Feb 2009 21:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#517274; Package openoffice.org-dictionaries. (Fri, 27 Feb 2009 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Shaforostoff <shaforostoff@kde.ru>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. (Fri, 27 Feb 2009 18:33:03 GMT) Full text and rfc822 format available.

Message #25 received at 517274@bugs.debian.org (full text, mbox):

From: Nick Shaforostoff <shaforostoff@kde.ru>
To: Rene Engelhard <rene@debian.org>, 517274@bugs.debian.org
Subject: Re: Bug#517274: [openoffice.org] debianize and redistribute l10n extensions
Date: Fri, 27 Feb 2009 20:32:12 +0200
On Thursday 26 of February 2009 23:38:07 you wrote:
> tag 517274 - l10n
> severity 517274 wishlist
> reassign 517274 openoffice.org-dictionaries
> retitle 517274 [openoffice.org] debianize and redistribute dict extensions
> tag 517274 + wontfix
> thanks
> 
> Hi,
> 
> Nick Shaforostoff wrote:
> > Package: openoffice.org
> > Version: 1:3.0.1-3
> > Severity: normal
> > Tags: l10n
> > 
> > --- Please enter the report below this line. ---
> > openoffice.org-l10n-uk says i'll get Ukrainian spellcheck if I install myspell-uk
> > but that is no longer truth.
> 
> Why do you think that?
> 
> rene@mini:~$ rmadison myspell-uk
> myspell-uk |      1.1-1 |     etch-m68k | all
> myspell-uk |      1.1-1 |     oldstable | all
> myspell-uk |    1.5.0-1 |        stable | all
> myspell-uk |    1.5.7-1 |       testing | all
> myspell-uk |    1.5.7-1 |      unstable | all
> 
> Still there.
I know. I installed it and also myspell-fr but got no uk/fr spellcheck in openoffice
(i rebooted my system after installing dicts to be sure).
i still had icons only near russian and en-us in format->symbols->language list.
I installed openoffice.org-l10n-uk (I actually use ru_RU.UTF-8 locale and openoffice.org-l10n-ru) but that didn't help.

can you please do the same on your system and check whether it will work for you?
(this has to be done with ooo 3.0 and not with 2.4, obviously)

> > for this i had to go to http://extensions.services.openoffice.org/project/dict-uk_UA
> Who says that?
http://wiki.services.openoffice.org/wiki/Dictionaries

> No. It would not. because what with mozilla etc. which use *exactly* the same dict?
> Right, they won't work.
I don't suggest removing myspell-*, I just say that they don't work for ooo3.
 

> > Architecture: i386
> > Kernel:       Linux 2.6.22-1-mepis-smp
> 
> Yay. Mepis. Maybe they broke it the "normal" install way with myspell-*?
> We specify the correct paths to the dict in Debian on the build so it gets found there.
How can I check this?
myspell-* and openoffice.org* are installed from vanilla debian repository (sid).
I believe that the only non-vanilla-debian thing in my system
(which runs for over a year now, and I regularly upgrade from debian sid/experimental)
is the kernel. I even removed mepis config tools cause they conflicted with debian's new ooo.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#517274; Package openoffice.org-dictionaries. (Fri, 27 Feb 2009 20:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. (Fri, 27 Feb 2009 20:57:02 GMT) Full text and rfc822 format available.

Message #30 received at 517274@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Nick Shaforostoff <shaforostoff@kde.ru>, 517274@bugs.debian.org
Subject: Re: Bug#517274: [openoffice.org] debianize and redistribute l10n extensions
Date: Fri, 27 Feb 2009 21:53:35 +0100
Hi,

Nick Shaforostoff wrote:
> > Still there.
> I know. I installed it and also myspell-fr but got no uk/fr spellcheck in openoffice
> (i rebooted my system after installing dicts to be sure).
> i still had icons only near russian and en-us in format->symbols->language list.

You mean Format-Character, don't you?

> I installed openoffice.org-l10n-uk (I actually use ru_RU.UTF-8 locale and openoffice.org-l10n-ru) but that didn't help.

Works here. All dicts I install appear.

> can you please do the same on your system and check whether it will work for you?
> (this has to be done with ooo 3.0 and not with 2.4, obviously)
> 
> > > for this i had to go to http://extensions.services.openoffice.org/project/dict-uk_UA
> > Who says that?
> http://wiki.services.openoffice.org/wiki/Dictionaries

Well, you fell into the trap just written for the bogus upstream mechanism
not taking distributions' needs into account at all. typical for the OOo
project.

Don't alwys trust upstream pages since they might just care about bogus
upstream policies and might be miles away from real life requirements.

> > Right, they won't work.
> I don't suggest removing myspell-*, I just say that they don't work for ooo3.

And that it wrong.

Did you by chance just had a mixture of OOo 2.4.1 arch-dep and OOo 3.0
arch-indep packages? The upgrade of openoffice.org-common will unconditionally
remove dictionary.lst (which is the file OOO 2.4 needs for finding its dicts)
and update-openoffice-dicts won't create it anymore since it finds a OOo3 :-)

> > > Architecture: i386
> > > Kernel:       Linux 2.6.22-1-mepis-smp
> > 
> > Yay. Mepis. Maybe they broke it the "normal" install way with myspell-*?
> > We specify the correct paths to the dict in Debian on the build so it gets found there.
> How can I check this?
> myspell-* and openoffice.org* are installed from vanilla debian repository (sid).

Don't know (ecept my suggestion/idea above) and tbh I also don't really care
It works. Period.

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73





Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#517274; Package openoffice.org-dictionaries. (Fri, 27 Feb 2009 21:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. (Fri, 27 Feb 2009 21:12:05 GMT) Full text and rfc822 format available.

Message #35 received at 517274@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Nick Shaforostoff <shaforostoff@kde.ru>, 517274@bugs.debian.org
Subject: Re: Bug#517274: [openoffice.org] debianize and redistribute l10n extensions
Date: Fri, 27 Feb 2009 22:08:57 +0100
Rene Engelhard wrote:
> > I installed openoffice.org-l10n-uk (I actually use ru_RU.UTF-8 locale and openoffice.org-l10n-ru) but that didn't help.
> 
> Works here. All dicts I install appear.

And *of course* the dicts are not in the l10n.

> > > Right, they won't work.
> > I don't suggest removing myspell-*, I just say that they don't work for ooo3.
> 
> And that it wrong.

OK, I think I see what's wrong. It's myspell-uk doing bogus things by just shipping uk.aff/uk.dic.
Whcih might just have worked for 2.4.1 because it was registered with that in dictionary.lst
but now that OOo looks fpr the dicts automatically it doesn't find it anymore. And indeed,
when moving uk.* to uk_UA.dic it works. 

-> myspell-uk bug.

I guess uk.* is still needed for mozilla, so there will be symlinks in either way needed.

Grüße/Regards,
 
René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73





Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#517274; Package openoffice.org-dictionaries. (Fri, 27 Feb 2009 21:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Shaforostoff <shaforostoff@kde.ru>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. (Fri, 27 Feb 2009 21:54:02 GMT) Full text and rfc822 format available.

Message #40 received at 517274@bugs.debian.org (full text, mbox):

From: Nick Shaforostoff <shaforostoff@kde.ru>
To: Rene Engelhard <rene@debian.org>, 517274@bugs.debian.org
Subject: Re: Bug#517274: [openoffice.org] debianize and redistribute l10n extensions
Date: Fri, 27 Feb 2009 23:39:30 +0200
On Friday 27 of February 2009 23:08:57 you wrote:
> OK, I think I see what's wrong. It's myspell-uk doing bogus things by just shipping uk.aff/uk.dic.
> Whcih might just have worked for 2.4.1 because it was registered with that in dictionary.lst
> but now that OOo looks fpr the dicts automatically it doesn't find it anymore. And indeed,
> when moving uk.* to uk_UA.dic it works. 
> 
> -> myspell-uk bug.
and please also check other languages too.
at least myspell-fr doesn't work.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenOffice Team <debian-openoffice@lists.debian.org>:
Bug#517274; Package openoffice.org-dictionaries. (Mon, 02 Mar 2009 01:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenOffice Team <debian-openoffice@lists.debian.org>. (Mon, 02 Mar 2009 01:36:03 GMT) Full text and rfc822 format available.

Message #45 received at 517274@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Nick Shaforostoff <shaforostoff@kde.ru>, 517274@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#517274: [openoffice.org] debianize and redistribute l10n extensions
Date: Mon, 2 Mar 2009 02:33:09 +0100
clone 517274 -1 -2 -3 -4 -5 -6 -7
reassign -1 myspell-uk
reassign -2 myspell-ar
reassign -3 myspell-sv
reassign -4 myspell-nb
reassign -5 myspell-nn
reassign -6 myspell-fr
reassign -7 myspell-fr-gut
retitle -1 myspell-uk: uk.{dic,aff} is not enough for OOo3, needs to be uk_UA
retitle -2 myspell-ar: ar.{dic,aff} is not enough for OOo3, needs to be ar_*
retitle -3 myspell-sv: uk.{dic,aff} is not enough for OOo3, needs to be sv_*
retitle -4 myspell-nb: nb.{dic,aff} is not enough for OOo3, needs to be nb_NO
retitle -5 myspell-nn: nn.{dic,aff} is not enough for OOo3, needs to be nn_NO
retitle -5 myspell-fr: fr.{dic,aff} is not enough for OOo3, needs to be fr_*
retitle -7 myspell-fr-gut: fr.{dic,aff} is not enough for OOo3, needs to be fr_*
severity -1 grave
severity -2 grave
severity -3 grave
severity -4 grave
severity -5 grave
seeritry -6 grave
severity -7 grave
thanks

Hi,

Nick Shaforostoff wrote:
> On Friday 27 of February 2009 23:08:57 you wrote:
> > OK, I think I see what's wrong. It's myspell-uk doing bogus things by just shipping uk.aff/uk.dic.
> > Whcih might just have worked for 2.4.1 because it was registered with that in dictionary.lst
> > but now that OOo looks fpr the dicts automatically it doesn't find it anymore. And indeed,
> > when moving uk.* to uk_UA.dic it works. 
> > 
> > -> myspell-uk bug.
> and please also check other languages too.
> at least myspell-fr doesn't work.

- myspell-uk
- myspell-ar
- myspell-sv
- myspell-nb
- myspell-nn
- myspell-fr
- myspell-fr-gut

I am reassigning a clone to all of these packages. Maintainers, see the quoted section. Basically
it seems that OOo3s auto-detect of dictionaries (dictionary.lst is gone!) only noticed the "normal"
form with <lang>_<COUNTRY>. (Same also applied for hyphenation and thesauri but none of Debians
are affected AFAIS).

Please move the file or (and I guess this would be more feasible if mozilla needed <lang>.* add a symlink)
to make them work with OOo3.

I'll update the DSDT policy asap.

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73





Bug 517274 cloned as bugs 517780, 517781, 517782, 517783, 517784, 517785, 517786. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 02 Mar 2009 01:36:04 GMT) Full text and rfc822 format available.

Bug reassigned from package `openoffice.org-dictionaries' to `myspell-ar'. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 02 Mar 2009 01:36:14 GMT) Full text and rfc822 format available.

Changed Bug title to `myspell-ar: ar.{dic,aff} is not enough for OOo3, needs to be ar_*' from `[openoffice.org] debianize and redistribute dict extensions'. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 02 Mar 2009 01:36:20 GMT) Full text and rfc822 format available.

Severity set to `grave' from `wishlist' Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 02 Mar 2009 01:36:26 GMT) Full text and rfc822 format available.

Tags removed: wontfix Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 02 Mar 2009 01:45:06 GMT) Full text and rfc822 format available.

Changed Bug submitter from Nick Shaforostoff <shaforostoff@kde.ru> to Rene Engelhard <rene@debian.org>. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Mon, 02 Mar 2009 01:45:14 GMT) Full text and rfc822 format available.

Bug reassigned from package `myspell-ar' to `hunspell-ar'. Request was from Chris Cheney <ccheney@debian.org> to control@bugs.debian.org. (Sat, 11 Apr 2009 06:21:02 GMT) Full text and rfc822 format available.

Changed Bug title to `hunspell-ar: ar.{dic,aff} is not enough for OOo3, needs to be ar_*' from `myspell-ar: ar.{dic,aff} is not enough for OOo3, needs to be ar_*'. Request was from Chris Cheney <ccheney@debian.org> to control@bugs.debian.org. (Sat, 11 Apr 2009 06:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Arabic Packaging Team <debian-arabic-packages@lists.alioth.debian.org>:
Bug#517781; Package hunspell-ar. (Sat, 11 Apr 2009 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mohammed Sameer <msameer@foolab.org>:
Extra info received and forwarded to list. Copy sent to Debian Arabic Packaging Team <debian-arabic-packages@lists.alioth.debian.org>. (Sat, 11 Apr 2009 14:15:03 GMT) Full text and rfc822 format available.

Message #66 received at 517781@bugs.debian.org (full text, mbox):

From: Mohammed Sameer <msameer@foolab.org>
To: 517781@bugs.debian.org
Cc: Rene Engelhard <rene@debian.org>, Debian Arabic Packaging Team <debian-arabic-packages@lists.alioth.debian.org>
Subject: Re: [Debian-arabic-packages] Bug#517274: [openoffice.org] debianize and redistribute l10n extensions
Date: Sat, 11 Apr 2009 17:11:19 +0300
[Message part 1 (text/plain, inline)]
This is insane from OOo!
Are you sure you want us to ship 18 symlinks ?

wc -l /usr/share/myspell/infos/ooo/hunspell-ar
18 /usr/share/myspell/infos/ooo/hunspell-ar

Isn't there another way ?

And what about the .aff file ?

Cheers,

-- 
GPG-Key: 0xA3FD0DF7 - 9F73 032E EAC9 F7AD 951F  280E CB66 8E29 A3FD 0DF7
Debian User and Developer.
Homepage: www.foolab.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Arabic Packaging Team <debian-arabic-packages@lists.alioth.debian.org>:
Bug#517781; Package hunspell-ar. (Sat, 11 Apr 2009 17:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Arabic Packaging Team <debian-arabic-packages@lists.alioth.debian.org>. (Sat, 11 Apr 2009 17:57:02 GMT) Full text and rfc822 format available.

Message #71 received at 517781@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Mohammed Sameer <msameer@foolab.org>
Cc: 517781@bugs.debian.org, Debian Arabic Packaging Team <debian-arabic-packages@lists.alioth.debian.org>
Subject: Re: [Debian-arabic-packages] Bug#517274: [openoffice.org] debianize and redistribute l10n extensions
Date: Sat, 11 Apr 2009 19:55:17 +0200
Mohammed Sameer wrote:
> This is insane from OOo!

No one denied this. When Debian followed upstream 1:1 you would not be
able at all to share the dicts between the apps and ship the stuff (at least)
theree times: .oxt for OOo, xpi (or putting it in one dir specific for
the used mozilla product) for Mozilla and on the fs for the rest.

Yes, that sucks....

> And what about the .aff file ?

Both are needed, yes...

Grüße/Regards,

René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Arabic Packaging Team <debian-arabic-packages@lists.alioth.debian.org>:
Bug#517781; Package hunspell-ar. (Sat, 11 Apr 2009 18:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@rene-engelhard.de>:
Extra info received and forwarded to list. Copy sent to Debian Arabic Packaging Team <debian-arabic-packages@lists.alioth.debian.org>. (Sat, 11 Apr 2009 18:09:02 GMT) Full text and rfc822 format available.

Message #76 received at 517781@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@rene-engelhard.de>
To: Mohammed Sameer <msameer@foolab.org>
Cc: 517781@bugs.debian.org, Debian Arabic Packaging Team <debian-arabic-packages@lists.alioth.debian.org>
Subject: Re: [Debian-arabic-packages] Bug#517274: [openoffice.org] debianize and redistribute l10n extensions
Date: Sat, 11 Apr 2009 20:06:42 +0200
Hi,

Rene Engelhard wrote:
> Mohammed Sameer wrote:
> > This is insane from OOo!
> 
> No one denied this. When Debian followed upstream 1:1 you would not be
> able at all to share the dicts between the apps and ship the stuff (at least)
> theree times: .oxt for OOo, xpi (or putting it in one dir specific for
> the used mozilla product) for Mozilla and on the fs for the rest.
> 
> Yes, that sucks....

BTW, see http://www.openoffice.org/issues/show_bug.cgi?id=100454. But that
won't be there for some time to come...

Grüße/Regards,
 
René
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73




Reply sent to Rene Engelhard <rene@debian.org>:
You have taken responsibility. (Sun, 20 Sep 2009 00:45:03 GMT) Full text and rfc822 format available.

Notification sent to Rene Engelhard <rene@debian.org>:
Bug acknowledged by developer. (Sun, 20 Sep 2009 00:45:03 GMT) Full text and rfc822 format available.

Message #81 received at 517781-close@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: 517781-close@bugs.debian.org
Subject: Bug#517781: fixed in ayaspell-dic 0.0.0+20080110-1.1
Date: Sun, 20 Sep 2009 00:17:04 +0000
Source: ayaspell-dic
Source-Version: 0.0.0+20080110-1.1

We believe that the bug you reported is fixed in the latest version of
ayaspell-dic, which is due to be installed in the Debian FTP archive:

ayaspell-dic_0.0.0+20080110-1.1.diff.gz
  to pool/main/a/ayaspell-dic/ayaspell-dic_0.0.0+20080110-1.1.diff.gz
ayaspell-dic_0.0.0+20080110-1.1.dsc
  to pool/main/a/ayaspell-dic/ayaspell-dic_0.0.0+20080110-1.1.dsc
hunspell-ar_0.0.0+20080110-1.1_all.deb
  to pool/main/a/ayaspell-dic/hunspell-ar_0.0.0+20080110-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 517781@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Rene Engelhard <rene@debian.org> (supplier of updated ayaspell-dic package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 20 Sep 2009 01:58:25 +0200
Source: ayaspell-dic
Binary: hunspell-ar
Architecture: source all
Version: 0.0.0+20080110-1.1
Distribution: unstable
Urgency: low
Maintainer: Debian Arabic Packaging Team <debian-arabic-packages@lists.alioth.debian.org>
Changed-By: Rene Engelhard <rene@debian.org>
Description: 
 hunspell-ar - Arabic dictionary for hunspell
Closes: 517781 541912
Changes: 
 ayaspell-dic (0.0.0+20080110-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * add ar_*.{dic,aff} -> ar.{dic,aff} symlinks for OOo3 (closes: #517781)
   * move dict to /usr/share/hunspell with compat symlink from
     /usr/share/myspell/dicts (closes: #541912)
Checksums-Sha1: 
 650eb540e69a9546580a3ccfb243e337cb674ab2 1888 ayaspell-dic_0.0.0+20080110-1.1.dsc
 730806af83600436d975eee33e07db36b77ba63e 2852 ayaspell-dic_0.0.0+20080110-1.1.diff.gz
 17471f1868e4582b629d4852646a1712a2735cfd 299752 hunspell-ar_0.0.0+20080110-1.1_all.deb
Checksums-Sha256: 
 f22a72f1214a48d540137cbd2525a9c1d333fa0ee6c4782de476d1b9f06903c1 1888 ayaspell-dic_0.0.0+20080110-1.1.dsc
 e681f8a7d22a06c359b4b30d884d5d7f20fbe03c81f52b6964ce36faf806212f 2852 ayaspell-dic_0.0.0+20080110-1.1.diff.gz
 910a0bed968917e3798f31ee77eb6bcc9f29e5c3a2a62d6f359ddb5c1eb938ae 299752 hunspell-ar_0.0.0+20080110-1.1_all.deb
Files: 
 4256f9c7b0163d843e646f7d718e45f5 1888 text optional ayaspell-dic_0.0.0+20080110-1.1.dsc
 3595f45b54b5ebca74ee825e7cc62908 2852 text optional ayaspell-dic_0.0.0+20080110-1.1.diff.gz
 69701f978546bf27644542a5b90d9fab 299752 text optional hunspell-ar_0.0.0+20080110-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJKtXF3AAoJEAqgRXHQPj5w8KoQAIJ1bYxAlN+2onzVMpm+R2oI
JXMKSbpLlBRgbhddvhro0O0cK/tgejkRjau5MNeCX0NqNb86rv2S+5ovayYwtEkA
klQXVvbfDdl//5wwymkH/MLovos+FHHsPTLgMD8fy8yCixOIg+xR5wuM/VVXQVCO
CZExACg1eZdgUczFN+GpnWdFn9jkOEmNVC7ewjkzhnF+eQFwSF4sfX+mDyHuShvE
AdfQKNXhjBFgIRZ8mBRWda9jiWtzu6fa5Q6k9KzaNHEOXjqwJI7JNzvFQ29SKziU
VJGCeCiP8lajx9B9TNDTk5nn9wzM0MSt3F0icBgexqgxQhFSGQS7EFnqW56F37yM
yuZS27m7rDwaeG80kIs+JMk0G7Q3KeqyBeqe4GR2Pfq+ZA9R+HxurOR0h1kTvnjw
UEVjwN7m2nrlTlCSQ9NNXspHqbzs99mmQypD1hSDoT3MEtzCpeu1SqA/ML5o3QKf
Ep6f0Lo8iNlC61yAIuLxUVPH77PNHKJJWu51pVWPJJaReuzI79xz+/fSsSLK3H+a
YWJyUq+7Gm0vSTxL7inP2yzYy5611gXiLAzTyw6mvPasdBPNGh+CqF3FiHLkEa1V
X17oU99LCIazYlpCl3buAZEtEnLUU4aS8CjSTZBGuxelUNJ4diuPJ09EH1vA4D1h
YWFT8Oi29tNgPz1bzR1d
=SmFk
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 10:00:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:14:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.